Bug 103982 - net-snmp-devel is missing rpm dependancies
net-snmp-devel is missing rpm dependancies
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: net-snmp (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-08 15:36 EDT by Steve Grubb
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-17 04:36:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2003-09-08 15:36:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
While trying to compile php 4.3.2, it would fail in configure when testing the
snmp library. This was entered in bugzilla #103388 against php. The problem is
php's configure tests the static snmp library which requires the libelf.a
library. The static libelf library is kept in libelf-devel. Therefore, anyone
that has netsnmp-devel installed also must have libelf-devel installed or static
compilations may fail.

The maintainer of php said I should open this bug report so that net-snmp-devel
can get the libelf-devel requirement added to the spec file.

Version-Release number of selected component (if applicable):
net-snmp-devel-5.0.6-17

How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh php-4.3.2-2.src.rpm
2. rpmbuild -bb /usr/src/redhat/SPEC/php.spec

    

Actual Results:  The rpm build fails in sanity check of snmp.

Expected Results:  Php successfully compiled.

Additional info:

This issue is also in the RH 8.0 library. All libraries need updating in case a
security issue causes everyone to upgrade packages.
Comment 1 Joe Orton 2003-10-12 16:17:57 EDT
This bug is still present in Fedora Core Beta 2.
Comment 2 Phil Knirsch 2003-10-17 04:36:18 EDT
Fixed in net-snmp-5.0.9-2 and later.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.